
From: Patrick Boettcher <pb@linuxtv.org>

Change the name-field of the pci_driver and usb_driver structs to the name of
the module after compilation.  It seems that this field is used in some places
where special characters are not allowed.  Thanks to Alan Halverson for
finding this problem.

Signed-off-by: Patrick Boettcher <pb@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/b2c2/flexcop-pci.c    |    2 +-
 drivers/media/dvb/b2c2/flexcop-usb.c    |    2 +-
 drivers/media/dvb/dvb-usb/a800.c        |    2 +-
 drivers/media/dvb/dvb-usb/cxusb.c       |    2 +-
 drivers/media/dvb/dvb-usb/dibusb-mb.c   |    2 +-
 drivers/media/dvb/dvb-usb/dibusb-mc.c   |    2 +-
 drivers/media/dvb/dvb-usb/digitv.c      |    2 +-
 drivers/media/dvb/dvb-usb/nova-t-usb2.c |    2 +-
 drivers/media/dvb/dvb-usb/umt-010.c     |    2 +-
 drivers/media/dvb/dvb-usb/vp7045.c      |    6 +++---
 10 files changed, 12 insertions(+), 12 deletions(-)

diff -puN drivers/media/dvb/b2c2/flexcop-pci.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/b2c2/flexcop-pci.c
--- devel/drivers/media/dvb/b2c2/flexcop-pci.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/b2c2/flexcop-pci.c	2005-07-01 21:14:19.000000000 -0700
@@ -409,7 +409,7 @@ static struct pci_device_id flexcop_pci_
 MODULE_DEVICE_TABLE(pci, flexcop_pci_tbl);
 
 static struct pci_driver flexcop_pci_driver = {
-	.name     = "Technisat/B2C2 FlexCop II/IIb PCI",
+	.name     = "b2c2_flexcop_pci",
 	.id_table = flexcop_pci_tbl,
 	.probe    = flexcop_pci_probe,
 	.remove   = flexcop_pci_remove,
diff -puN drivers/media/dvb/b2c2/flexcop-usb.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/b2c2/flexcop-usb.c
--- devel/drivers/media/dvb/b2c2/flexcop-usb.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/b2c2/flexcop-usb.c	2005-07-01 21:14:19.000000000 -0700
@@ -545,7 +545,7 @@ static struct usb_device_id flexcop_usb_
 /* usb specific object needed to register this driver with the usb subsystem */
 static struct usb_driver flexcop_usb_driver = {
 	.owner		= THIS_MODULE,
-	.name		= "Technisat/B2C2 FlexCop II/IIb/III USB",
+	.name		= "b2c2_flexcop_usb",
 	.probe		= flexcop_usb_probe,
 	.disconnect = flexcop_usb_disconnect,
 	.id_table	= flexcop_usb_table,
diff -puN drivers/media/dvb/dvb-usb/a800.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/dvb-usb/a800.c
--- devel/drivers/media/dvb/dvb-usb/a800.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/a800.c	2005-07-01 21:14:19.000000000 -0700
@@ -149,7 +149,7 @@ static struct dvb_usb_properties a800_pr
 
 static struct usb_driver a800_driver = {
 	.owner		= THIS_MODULE,
-	.name		= "AVerMedia AverTV DVB-T USB 2.0 (A800)",
+	.name		= "dvb_usb_a800",
 	.probe		= a800_probe,
 	.disconnect = dvb_usb_device_exit,
 	.id_table	= a800_table,
diff -puN drivers/media/dvb/dvb-usb/cxusb.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/dvb-usb/cxusb.c
--- devel/drivers/media/dvb/dvb-usb/cxusb.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/cxusb.c	2005-07-01 21:14:19.000000000 -0700
@@ -262,7 +262,7 @@ static struct dvb_usb_properties cxusb_p
 
 static struct usb_driver cxusb_driver = {
 	.owner		= THIS_MODULE,
-	.name		= "cxusb",
+	.name		= "dvb_usb_cxusb",
 	.probe		= cxusb_probe,
 	.disconnect = dvb_usb_device_exit,
 	.id_table	= cxusb_table,
diff -puN drivers/media/dvb/dvb-usb/dibusb-mb.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/dvb-usb/dibusb-mb.c
--- devel/drivers/media/dvb/dvb-usb/dibusb-mb.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/dibusb-mb.c	2005-07-01 21:14:19.000000000 -0700
@@ -317,7 +317,7 @@ static struct dvb_usb_properties dibusb2
 
 static struct usb_driver dibusb_driver = {
 	.owner		= THIS_MODULE,
-	.name		= "DiBcom based USB DVB-T devices (DiB3000M-B based)",
+	.name		= "dvb_usb_dibusb_mb",
 	.probe		= dibusb_probe,
 	.disconnect = dvb_usb_device_exit,
 	.id_table	= dibusb_dib3000mb_table,
diff -puN drivers/media/dvb/dvb-usb/dibusb-mc.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/dvb-usb/dibusb-mc.c
--- devel/drivers/media/dvb/dvb-usb/dibusb-mc.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/dibusb-mc.c	2005-07-01 21:14:19.000000000 -0700
@@ -83,7 +83,7 @@ static struct dvb_usb_properties dibusb_
 
 static struct usb_driver dibusb_mc_driver = {
 	.owner		= THIS_MODULE,
-	.name		= "DiBcom based USB2.0 DVB-T (DiB3000M-C/P based) devices",
+	.name		= "dvb_usb_dibusb_mc",
 	.probe		= dibusb_mc_probe,
 	.disconnect = dvb_usb_device_exit,
 	.id_table	= dibusb_dib3000mc_table,
diff -puN drivers/media/dvb/dvb-usb/digitv.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/dvb-usb/digitv.c
--- devel/drivers/media/dvb/dvb-usb/digitv.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/digitv.c	2005-07-01 21:14:19.000000000 -0700
@@ -228,7 +228,7 @@ static struct dvb_usb_properties digitv_
 
 static struct usb_driver digitv_driver = {
 	.owner		= THIS_MODULE,
-	.name		= "Nebula Electronics uDigiTV DVB-T USB2.0 device",
+	.name		= "dvb_usb_digitv",
 	.probe		= digitv_probe,
 	.disconnect = dvb_usb_device_exit,
 	.id_table	= digitv_table,
diff -puN drivers/media/dvb/dvb-usb/nova-t-usb2.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/dvb-usb/nova-t-usb2.c
--- devel/drivers/media/dvb/dvb-usb/nova-t-usb2.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/nova-t-usb2.c	2005-07-01 21:14:19.000000000 -0700
@@ -203,7 +203,7 @@ static struct dvb_usb_properties nova_t_
 
 static struct usb_driver nova_t_driver = {
 	.owner		= THIS_MODULE,
-	.name		= "Hauppauge WinTV-NOVA-T usb2",
+	.name		= "dvb_usb_nova_t_usb2",
 	.probe		= nova_t_probe,
 	.disconnect = dvb_usb_device_exit,
 	.id_table	= nova_t_table,
diff -puN drivers/media/dvb/dvb-usb/umt-010.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/dvb-usb/umt-010.c
--- devel/drivers/media/dvb/dvb-usb/umt-010.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/umt-010.c	2005-07-01 21:14:19.000000000 -0700
@@ -129,7 +129,7 @@ static struct dvb_usb_properties umt_pro
 
 static struct usb_driver umt_driver = {
 	.owner		= THIS_MODULE,
-	.name		= "HanfTek UMT-010 USB2.0 DVB-T devices",
+	.name		= "dvb_usb_umt_010",
 	.probe		= umt_probe,
 	.disconnect = dvb_usb_device_exit,
 	.id_table	= umt_table,
diff -puN drivers/media/dvb/dvb-usb/vp7045.c~dvb-usb-pci-correct-syntax-of-driver-name-fields drivers/media/dvb/dvb-usb/vp7045.c
--- devel/drivers/media/dvb/dvb-usb/vp7045.c~dvb-usb-pci-correct-syntax-of-driver-name-fields	2005-07-01 21:14:19.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/vp7045.c	2005-07-01 21:14:19.000000000 -0700
@@ -44,7 +44,7 @@ int vp7045_usb_op(struct dvb_usb_device 
 	if (usb_control_msg(d->udev,
 			usb_sndctrlpipe(d->udev,0),
 			TH_COMMAND_OUT, USB_TYPE_VENDOR | USB_DIR_OUT, 0, 0,
-			outbuf, 20, 2*HZ) != 20) {
+			outbuf, 20, 2000) != 20) {
 		err("USB control message 'out' went wrong.");
 		ret = -EIO;
 		goto unlock;
@@ -55,7 +55,7 @@ int vp7045_usb_op(struct dvb_usb_device 
 	if (usb_control_msg(d->udev,
 			usb_rcvctrlpipe(d->udev,0),
 			TH_COMMAND_IN, USB_TYPE_VENDOR | USB_DIR_IN, 0, 0,
-			inbuf, 12, 2*HZ) != 12) {
+			inbuf, 12, 2000) != 12) {
 		err("USB control message 'in' went wrong.");
 		ret = -EIO;
 		goto unlock;
@@ -255,7 +255,7 @@ static struct dvb_usb_properties vp7045_
 /* usb specific object needed to register this driver with the usb subsystem */
 static struct usb_driver vp7045_usb_driver = {
 	.owner		= THIS_MODULE,
-	.name		= "dvb-usb-vp7045",
+	.name		= "dvb_usb_vp7045",
 	.probe 		= vp7045_usb_probe,
 	.disconnect = dvb_usb_device_exit,
 	.id_table 	= vp7045_usb_table,
_
